Webhooks
Subscribes to change events for the access clockings collection.
Caution
Read the Webhooks page. There is important information on required implementation!
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
POST
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/webhooks
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-webhooks.write
Body properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
destinationUrl |
string | Yes | Yes | The URL where webhook notifications will be sent. |
collectionName |
string | Yes | Yes | The name of the collection to subscribe to (access-clockings). |
Event properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Unique identifier for the access clocking. |
person.id |
integer | — | Read-only | Internal ID of the person who performed the clocking. |
date |
string | — | Read-only | Date of the access clocking (YYYY-MM-DD). |
timeOfDayInMinutes |
integer | — | Read-only | Minutes since midnight (0 to 1439) representing the time of the clocking on the specified date. |
terminal.id |
integer | — | Read-only | Internal ID of the terminal on which the clocking occurred. |
status |
string | — | Read-only | Result of the access attempt (AccessOk, AccessRefused, WrongPinCode, AlarmCode, AntiPassbackError, OutZone, UnknownBadgeNumber). |
External references
The endpoint supports predefined and custom external references. See the external references page for details.
The following collections are supported for this endpoint:
| Collection | Predefined | Custom |
|---|---|---|
people |
@badge-number, @employee-number |
Supported |
terminals |
@external-code |
Supported |
Error responses
| Status | Condition |
|---|---|
400 |
Invalid destination URL or unknown collection name |
401 |
Missing or invalid access token, or insufficient scope |
Success response
201 Created with webhook key and validUntil in the response body.
Examples
A webhook for access clockings
Example for creating a webhook for access clockings:
POST
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/webhooks
{
"destinationUrl": "https://www.fictional-customer.com/protime/access-clockings",
"collectionName": "access-clockings"
}